1. Deprecated
v2.0 (Production)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • Getting Started
  • Account Setup
  • Webhook
  • Idempotent Requests
  • API Error Handling Guide
  • Authentication
    • Authentication
    • Get Token
      POST
  • Account Management
    • Get Balance
      GET
    • Internal Transfer
      POST
    • Get Internal Transfer
      GET
    • Get Settlement Statement
      GET
  • Merchant Management
    • [Recommended] Create Merchant
    • [Recommended] Get Merchant
    • [Recommended] Merchant Status Webhook
    • Merchant Status Webhook
  • Fiat Payment
    • Fiat Account Management
      • Get Fiat Account Capabilities
      • Create Fiat Account Request
      • Submit Additional Information for Fiat Account Request
      • Get Fiat Account Application Status
      • Fiat Account Request Status Webhook
      • Fiat Account Application Status Webhook
      • Add Bank Account
      • Get Bank Accounts
    • Fiat Deposit
      • Get Deposit Bank Account
      • Get Fiat Deposit Detail
      • Get Fiat Deposit History
      • Fiat Deposit Webhook
    • Fiat Withdrawal
      • Get Same Name Withdrawal Capabilities
      • Activate Same Name Withdrawal
      • Submit Additional Information for Activating Same Name Withdrawal
      • Activate Same Name Withdrawal Webhook
      • Create Fiat Withdrawal
      • Submit Additional Information for Fiat Withdrawal Request
      • Get Fiat Withdrawal Detail
      • Get Fiat Withdrawal History
      • Fiat Withdrawal Webhook
  • Crypto Payment
    • Crypto Checkout
      • Create Crypto Checkout
      • Create Crypto Checkout Link
      • Crypto Checkout Wallet Connection
      • Generate POS Payment Request
      • Close Crypto Checkout
      • Get Convertible Cryptos
      • Get Crypto Checkout
      • Get Crypto Checkout Link
      • Get Crypto Checkout Currencies
      • Crypto Checkout Webhook
    • Crypto Deposit
      • Update Crypto Deposit Travel Rule Info
      • Get Crypto Deposit Wallet
      • Get Crypto Deposit
      • Get Crypto Deposit History
      • Crypto Deposit Webhook
    • Crypto Withdrawal
      • Register Wallet Address
      • Remove Wallet Address
      • Create Crypto Withdrawal
      • Get Wallet Address
      • Get Crypto Withdrawal
      • Get Crypto Withdrawal History
      • Crypto Withdrawal Webhook
    • Crypto Collection
      • Buyer Management
        • Create Buyer
        • Get Buyer
        • Update Buyer
        • Buyer Status Webhook
      • Create Collection Wallet
      • Update Collection Wallet
      • Get Collection Wallet
      • Get Crypto Collection
      • Update Co-KYT status
      • Crypto Collection Wallet Webhook
      • Crypto Collection Webhook
    • Crypto Refund
      • Create Crypto Refund
      • Confirm Crypto Refund
      • Get Crypto Refund
      • Crypto Refund Webhook
    • Currency & Blockchain
      • Get Supported Blockchains
  • Conversion
    • Create Quotation
    • Create Conversion
    • Get Quotation
    • Get Conversion
    • Conversion Webhook
  • Tools
    • [Recommended] Upload File
      POST
    • [Deprecated] Upload File
      POST
    • getTnC
      GET
  • Release Note
    • Version 1.0 Release Note
    • Version 1.0.1 Release Note
    • Version 1.0.2 Release Note
    • Version 1.0.3 Release Note
    • Version 1.0.4 Release Note
  • Deprecated APIs
    • Deprecated
      • [Deprecated] Create Fiat Account Application(v1.0)
        POST
      • [Deprecated] Get Fiat Account Application Status(v1.0)
        GET
      • [Deprecated] Fiat Account Application Status Webhook(v1.0)
    • (Deprecated)Withdrawal
      • Create Withdrawal Request
        POST
      • Get Withdrawal Detail
        GET
      • Get Withdrawal History
        GET
      • Create Third Party Withdrawal Request
        POST
    • (Deprecated)Deposit
      • Get Deposit Detail
        GET
      • (Deprecated)Get Deposit Bank Account
        GET
      • Get Deposit Wallet
        GET
      • Get Deposit History
        GET
    • (Deprecated) Payment
      • Create Payment Request
        POST
      • Get Payment Request
        GET
      • Get List of Supported Currencies for Payment Link Generation
        GET
      • Get Payment Wallet Address
        GET
    • (Deprecated) OTC Trading
      • (Deprecated)Get Quote
        GET
      • (Deprecated)Create OTC Trading
        POST
      • (Deprecated)Get Trade Detail
        GET
      • (Deprecated)Get Trade History
        GET
    • (Deprecated) Account Management
      • (Deprecated) Get Balance
      • (deprecated) Get Statement
      • (Deprecated) Internal Transfer
    • (Deprecated) Address Book
      • (Deprecated)Add Bank Account
      • (Deprecated)Get Bank Accounts
    • (Deprecated) Merchant Management
      • (Deprecated)Create End User Account
    • Deprecated
      • [Deprecated] Get List of Currencies that Supports Same-Name Withdrawal
      • [Deprecated] Create Fiat Withdrawal(v1.0)
      • [Deprecated] Get Fiat Withdrawal Detail(v1.0)
      • [Deprecated] Get Fiat Withdrawal History(v1.0)
      • Fiat Withdrawal Webhook
    • Deprecated
      • [Deprecated] Create Merchant(v1.0)
      • [Deprecated] Get Merchant(v1.0)
      • [Deprecated] Merchant Status Webhook(v1.0)
    • (Deprecated) Intra Account Sweep
      POST
  1. Deprecated

[Deprecated] Fiat Account Application Status Webhook(v1.0)

Webhook
POST
To notify fiat account application status

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "applicationId": "string",
        "participantCode": "string",
        "country": "string",
        "currency": "string",
        "merchantDetails": {
            "additionalPersonalDetails": {
                "phoneNumber": "string",
                "emailAddress": "string",
                "occupation": "string",
                "industry": 1,
                "financialInfo": {
                    "expectedTradingVolumePerMonth": 1,
                    "expectedTradingFrequencyPerMonth": 1
                }
            },
            "supportingDocuments": "string"
        },
        "accountDetails": [
            {
                "beneficiaryName": "string",
                "beneficiaryAddress": "string",
                "baNumber": "string",
                "swiftCode": "string",
                "countryCode": "string",
                "bankName": "string",
                "bankAddress": "string",
                "intermediarySwiftCode": "string",
                "intermediaryCountryCode": "string",
                "intermediaryBankName": "string",
                "intermediaryBankAddress": "string",
                "currency": "string",
                "paymentReference": "string",
                "accountId": "string"
            }
        ],
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "applicationId": "string",
        "participantCode": "string",
        "country": "string",
        "currency": "string",
        "merchantDetails": {
            "additionalPersonalDetails": {
                "phoneNumber": "string",
                "emailAddress": "string",
                "occupation": "string",
                "industry": 1,
                "financialInfo": {
                    "expectedTradingVolumePerMonth": 1,
                    "expectedTradingFrequencyPerMonth": 1
                }
            },
            "supportingDocuments": "string"
        },
        "accountDetails": [
            {
                "beneficiaryName": "string",
                "beneficiaryAddress": "string",
                "baNumber": "string",
                "swiftCode": "string",
                "countryCode": "string",
                "bankName": "string",
                "bankAddress": "string",
                "intermediarySwiftCode": "string",
                "intermediaryCountryCode": "string",
                "intermediaryBankName": "string",
                "intermediaryBankAddress": "string",
                "currency": "string",
                "paymentReference": "string",
                "accountId": "string"
            }
        ],
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-03-20 15:15:07
Previous
[Deprecated] Get Fiat Account Application Status(v1.0)
Next
Create Withdrawal Request
Built with